import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable, throwError, BehaviorSubject } from 'rxjs';
import { catchError, retry, map, tap } from 'rxjs/operators';
import { User } from './user';
import { Discoteca } from './discoteca';
import { UserLogin } from './user-login';


@Injectable({
  providedIn: 'root'
})
export class ApiService {

  

  constructor(private http: HttpClient) {

   }


  validateUser(user: UserLogin): Observable<User>{

    return this.http.post<User>("http://localhost:3307/api/consultas/users", user)
      
  }




}
